
// Uniform variables
uniform sampler2D tex;

// Varying variables
varying vec4 color;
varying vec2 texCoord0;

void main(void)
{
  // Modulate the color with the texture. 
  gl_FragColor = color * texture2D(tex, texCoord0);
}
